
public class StudentDriver {
    public static void main(String[] args){
    	// Create a student object by using the no-argument constructor
    	Student student1 = new Student();
    	
    	System.out.println(student1);
    	
    	System.out.println();
    	
    	student1.setStudentID(20301111);
    	student1.setStudentName("Muhsin Qasim");
    	
    	System.out.println(student1);
    	
    	System.out.println();
    	
        Student student2 = new Student(2000650, "Yusuf Ahmad", "COE", 3.5);
    	System.out.println("Student2 before GPA modification: ");
    	System.out.println(student2);
    	
         // Modify GPA of student2
    	student2. setStudentGPA (4.0);
    		
    	System.out.println("\nStudent2 after GPA modification: ");
    	System.out.println(student2);
    	
    	// Compare the student objects	
    	if(student2.equals(student1))
    	  System.out.println("\n\nstudent1 is student2");
    	else
    	  System.out.println("\n\nstudent1 is not student2");
    }
}
